use <Slider_back.scad>
use <Holes.scad>
include <Slider_dims.scad>

difference() {
    translate([0,-10,0]) body();

    dist=(heightMain-holeDist)/2;
    translate([0,0,dist])  bearingHalfHole();
    translate([0,0,dist+holeDist]) bearingHalfHole();

    zcube();

    cubecenter=heightMain/2-rollWithRodDist/2;
    translate([0, -5, heightMain/2]) cube([width, 5, rollWithRodDist]);

    // add the 4 mountholes
    translate([0, -5, 0]) MountHolesFront();
}

// Similar function from Slider_back without the hexagonal holes
module MountHolesFront() {
    translate([holeLeftRightMargin,-5,holeTop]) rotate([0,0,90]) #M3Hole(10);
    translate([width-holeLeftRightMargin,-5,holeTop]) rotate([0,0,90]) #M3Hole(10);


    translate([holeLeftRightMargin,-5,holeBottom]) rotate([0,0,90]) #M3Hole(10);
    translate([width-holeLeftRightMargin,-5,holeBottom])  rotate([0,0,90]) #M3Hole(10);
}